package com.pwt.netty;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Data
@Configuration
@ConfigurationProperties("self")
public class ProxyConfig {

    private List<String> proxyIpPort;

    @Value("${commIp}")
    private String commIp;

    @Bean
    public ProxyServerNetty proxyServerNetty() {
        return new ProxyServerNetty(proxyIpPort, 5588, commIp);
    }
}
